---
title: "Singularity"
---

Singularity is installed on `eic0.phy.anl.gov`, `bebop.lcrc.anl.gov`, and most HPC systems.
Singularity ships the entire container image in a single file.  See the extensive singularity documentation to learn more. 
```bash
git clone git@eicweb.phy.anl.gov/containers/eic_container.git
cd container 
```

## Installing the singularity container

## Using the container

## Tip 

In your `.bashrc` add 
```bash
if [ ! -e /environment ] ; then
  running_singularity=
else
  running_singularity="\#singularity"
fi
# ...
PS1='${debian_chroot:+($debian_chroot)}\[\033[01;32m\]\u@\h\[\033[00m\]:\[\033[01;34m\]\w\[\033[00m\]${running_singularity}\$ '
```
If you are running inside a singularity container your commandline prompt will inform you:

<pre><font color="#8AE234"><b>whit@wpad</b></font>:<font color="#729FCF"><b>~/stow/eic_container_0.9.13/lib</b></font>\#singularity$</pre>

